Package: org.apache.groovy.groovysh.commands

## [Groovy] Class HistoryCommand

- org.apache.groovy.groovysh.commands.HistoryCommand

-     class HistoryCommand
      extends ComplexCommandSupport

  The 'history' command.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static String` | `COMMAND_NAME` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class ComplexCommandSupport` | `defaultFunction, functions`
    `class CommandSupport` | `NEWLINE, io, log, messages, registry, shell`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `private Object` | `do_clear`
    `private Object` | `do_flush`
    `private Object` | `do_recall` history show shows a list of indexes and past commands. recall serves to rerun one of those by their index.
    `private Object` | `do_show`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `HistoryCommand (Groovysh shell)`
    `HistoryCommand ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected List` | `createCompleters()`
    `` | `Object` | `execute(List<String> args)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ComplexCommandSupport` | `createCompleters, execute, executeFunction, loadFunction`
    `class CommandSupport` | `alias, assertNoArguments, createCompleters, fail, fail, getAliases, getBinding, getBuffer, getBuffers, getClassLoader, getCompleter, getDescription, getHelp, getHidden, getHistory, getImports, getName, getShortcut, getUsage, getVariables`

- - ### Field Detail

    - #### public static final String COMMAND_NAME

  - ### Property Detail

    - #### private Object do_clear

    - #### private Object do_flush

    - #### private Object do_recall

      history show shows a list of indexes and past commands. recall serves to rerun one of those by their index. There is is moving window of indexes, so the first valid index will usually be greater than zero.

    - #### private Object do_show

  - ### Constructor Detail

    - #### HistoryCommand(Groovysh shell)

    - #### HistoryCommand()

  - ### Method Detail

    - #### @Override protected List createCompleters()

    - #### @Override Object execute(List<String> args)